# MirrorModifier(Modifier)

base classes — `bpy_struct`, `Modifier`

class `bpy.types.``MirrorModifier`(Modifier)

  Mirroring modifier

  `merge_threshold`

    Distance within which mirrored vertices are merged

    Type: | float in [0, inf], default 0.0

  `mirror_object`

    Object to use as mirror

    Type: | `Object`

  `use_clip`

    Prevent vertices from going through the mirror during transform

    Type: | boolean, default False

  `use_mirror_merge`

    Merge vertices within the merge threshold

    Type: | boolean, default False

  `use_mirror_u`

    Mirror the U texture coordinate around the 0.5 point

    Type: | boolean, default False

  `use_mirror_v`

    Mirror the V texture coordinate around the 0.5 point

    Type: | boolean, default False

  `use_mirror_vertex_groups`

    Mirror vertex groups (e.g. .R->.L)

    Type: | boolean, default False

  `use_x`

    Enable X axis mirror

    Type: | boolean, default False

  `use_y`

    Enable Y axis mirror

    Type: | boolean, default False

  `use_z`

    Enable Z axis mirror

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Modifier.name` `Modifier.type` `Modifier.show_viewport` `Modifier.show_render` | `Modifier.show_in_editmode` `Modifier.show_on_cage` `Modifier.show_expanded` `Modifier.use_apply_on_spline`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`